<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite"
	 xmlns:p="http://primefaces.org/ui">
	<cc:interface>
		<cc:attribute name="value" required="true" type="java.lang.Boolean" />
		<cc:attribute name="label" required="true" type="java.lang.String" />
		<cc:attribute name="iconAwesomeTrue" required="false" default="fa fa-check-square-o" />
		<cc:attribute name="iconAwesomeFalse" required="false" default="fa fa-square-o" />
	</cc:interface>
	<cc:implementation>
		<div>
			<i class="#{cc.attrs.value ? cc.attrs.iconAwesomeTrue : cc.attrs.iconAwesomeFalse}"></i>
			<h:outputText value="#{cc.attrs.label}" style="padding-left: 8px" />
		</div>
	</cc:implementation>
</ui:composition>